"use client";

import { useSearchParams, useRouter } from "next/navigation";
import { useEffect } from "react";

export default function Home() {
  const searchParams = useSearchParams();
  const router = useRouter();

  useEffect(() => {
    const url = searchParams.get("url");
    if (url) {
      router.replace(decodeURIComponent(url));
    } else if (!searchParams.toString()) {
      router.replace("/tab");
    }
  }, [searchParams, router]);

  return <div></div>;
}
